Docs

Dynamic Containers

Get Dynamic Container

GET
/v1/deployments/{id}/dynamic-containers/{name}

Get one dynamic container's desired generation, status, and internal address.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment.

Matchdep_[0-9a-z]{28}$
name*string
Match^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string"
{  "name": "string",  "spec": {    "image": "string",    "resources": {      "cpu": "string",      "memory": "string"    },    "replicas": 0,    "ports": [      1    ],    "env": {},    "healthCheck": {      "path": "string",      "port": 1    }  },  "generation": 1,  "appliedGeneration": 0,  "status": "pending",  "statusMessage": "string",  "internalServices": [    {      "internalDns": "string",      "port": 0    }  ],  "deleted": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Delete Dynamic Container

DELETE
/v1/deployments/{id}/dynamic-containers/{name}

Remove a dynamic container from this deployment.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment.

Matchdep_[0-9a-z]{28}$
name*string
Match^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string"
{  "name": "string",  "deleted": true}

Put Dynamic Container

PUT
/v1/deployments/{id}/dynamic-containers/{name}

Create or replace a dynamic container in an existing deployment.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment.

Matchdep_[0-9a-z]{28}$
name*string
Match^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Header Parameters

if-match?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string" \  -H "Content-Type: application/json" \  -d '{    "spec": {      "image": "string",      "resources": {        "cpu": "string",        "memory": "string"      },      "replicas": 0,      "ports": [        1      ]    }  }'
{  "name": "string",  "spec": {    "image": "string",    "resources": {      "cpu": "string",      "memory": "string"    },    "replicas": 0,    "ports": [      1    ],    "env": {},    "healthCheck": {      "path": "string",      "port": 1    }  },  "generation": 1,  "appliedGeneration": 0,  "status": "pending",  "statusMessage": "string",  "internalServices": [    {      "internalDns": "string",      "port": 0    }  ],  "deleted": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

List Dynamic Containers

GET
/v1/deployments/{id}/dynamic-containers

List containers created after this deployment was installed.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment.

Matchdep_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers"
[  {    "name": "string",    "spec": {      "image": "string",      "resources": {        "cpu": "string",        "memory": "string"      },      "replicas": 0,      "ports": [        1      ],      "env": {},      "healthCheck": {        "path": "string",        "port": 1      }    },    "generation": 1,    "appliedGeneration": 0,    "status": "pending",    "statusMessage": "string",    "internalServices": [      {        "internalDns": "string",        "port": 0      }    ],    "deleted": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
GET
/v1/deployments/{id}/dynamic-containers/{name}/logs

Read recent logs for one dynamic container.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment.

Matchdep_[0-9a-z]{28}$
name*string
Match^[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100
sinceMinutes?integer

Minutes of logs to read, ending now. Ignored with a cursor.

Range1 <= value <= 10080
Default60
limit?integer
Range1 <= value <= 200
Default100
cursor?string

nextCursor from the previous page. It keeps that page's time window.

Lengthlength <= 4096

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/dynamic-containers/string/logs"
{  "logs": [    {      "timestamp": "2019-08-24T14:15:22Z",      "level": "string",      "message": "string",      "replicaId": "string"    }  ],  "numHits": 0,  "nextCursor": "string",  "partial": true,  "errorCount": 0,  "cursorRestarted": true}